animating_location_pin 0.1.0

  • Readme
  • Changelog
  • Example
  • Installing
  • 75

Animating Location Pin GitHub stars Twitter Follow GitHub last commit Website shields.ioOpen Source Love #

This Flutter package provides a Animating Location Pin Widget which can be used while fetching device location.

PieChart

💻 Installation #

In the dependencies: section of your pubspec.yaml, add the following line:

Version

dependencies:
  animating_location_pin: <latest version>

❔ Usage #

Import this class #

import 'package:animating_location_pin/animating_location_pin.dart';

Add #

Adding this widget is simple. Just directly use its instance for default configuration

Container(
  child: AnimatingLocationPin(),
)

Full Implementation #

AnimatingLocationPin(
  pinAsset: 'assets/images/pin.png',
  shadowAsset: 'assets/images/shadow.png',
  shadowSizeFactor: 0.4,
  duration: Duration(milliseconds: 500),
  pinJumpHeight: 44.0,
  pinSize: 70.0,
),

Assets used are #

Note #

  • Although this animation can be achieved easily with Flare Animation, but this widget involves a good learning to coding such animation manually in flutter

⭐ My Flutter Packages #

  • pie_chart GitHub stars Flutter Pie Chart with cool animation.
  • avatar_glow GitHub stars Flutter Avatar Glow Widget with glowing animation.
  • search_widget GitHub stars Flutter Search Widget for selecting an option from list.

⭐ My Flutter Apps #

👍 Contribution #

  1. Fork it
  2. Create your feature branch (git checkout -b my-new-feature)
  3. Commit your changes (git commit -m 'Add some feature')
  4. Push to the branch (git push origin my-new-feature)
  5. Create new Pull Request

[0.1.0] - Initial Release #

example/lib/main.dart

import 'package:animating_location_pin/animating_location_pin.dart';
import 'package:flutter/material.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.red,
      ),
      debugShowCheckedModeBanner: false,
      home: HomePage(),
    );
  }
}

class HomePage extends StatefulWidget {
  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Location Pin"),
      ),
      body: Container(
        child: Column(
          children: <Widget>[
            SizedBox(height: 82.0,),
            AnimatingLocationPin(),
          ],
        ),
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  animating_location_pin: ^0.1.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:animating_location_pin/animating_location_pin.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
50
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
75
Learn more about scoring.

We analyzed this package on Apr 7, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.6
  • Flutter: 1.12.13+hotfix.8

Maintenance suggestions

Package is getting outdated. (-0.27 points)

The package was last published 52 weeks ago.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test